UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
com.latencybusters.lbm.LBMUMMInfo Class Reference

LBM UMM options class. More...

## Public Member Functions
| LBMUMMInfo (string _applicationName, string _userName, string _password, string[] _servers)
| Instantiate an LBM UMM Info object. More...
| LBMUMMInfo (string _applicationName, string _userName, string _password, string[] _servers, uint _flags)
| Instantiate an LBM UMM Info object. More...
| LBMUMMInfo (string _applicationName, string _userName, string _password, string[] _servers, uint _flags, string _certFile)
| Instantiate an LBM UMM Info object. More...
| LBMUMMInfo (string _applicationName, string _userName, string _password, string[] _servers, uint _flags, string _certFile, string _certFilePassword)
| Instantiate an LBM UMM Info object. More...
void | validate ()
| Validate an LBM UMM Info object.

## Public Attributes
string | userName = null
| User name.
string | password = null
| Password.
string | applicationName = null
| Application name.
string[] | servers
| Array of servers.
uint | flags = 0
| Flags.
string | certFile = null
| Certificate file.
string | certFilePassword = null
| Certificate file password.

## Detailed Description

LBM UMM options class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMUMMInfo.LBMUMMInfo | ( | string | _applicationName,
|  | string | _userName,
|  | string | _password,
|  | string[] | _servers
| ) |  |

Instantiate an LBM UMM Info object.

Parameters

  _applicationName | The application name. Must not exceed LBM.LBM_UMM_APP_NAME_LENGTH_MAX length.
  _userName | The UMM user name. Must not exceed LBM.LBM_UMM_USER_NAME_LENGTH_MAX length.
  _password | The UMM password. Must not exceed LBM.LBM_UMM_PASSWORD_LENGTH_MAX length.
  _servers | The list of servers to attempt connections to. Servers are specified with a string in "ip:port" format. The servers are tried in round-robin fashion starting with index 0. Number of servers must not exceed LBM.LBM_UMM_NUM_SERVERS_MAX.

com.latencybusters.lbm.LBMUMMInfo.LBMUMMInfo | ( | string | _applicationName,
|  | string | _userName,
|  | string | _password,
|  | string[] | _servers,
|  | uint | _flags
| ) |  |

Instantiate an LBM UMM Info object.

Parameters

  _applicationName | The application name. Must not exceed LBM.LBM_UMM_APP_NAME_LENGTH_MAX length.
  _userName | The UMM user name. Must not exceed LBM.LBM_UMM_USER_NAME_LENGTH_MAX length.
  _password | The UMM password. Must not exceed LBM.LBM_UMM_PASSWORD_LENGTH_MAX length.
  _servers | The list of servers to attempt connections to. Servers are specified with a string in "ip:port" format. The servers are tried in round-robin fashion starting with index 0. Number of servers must not exceed LBM.LBM_UMM_NUM_SERVERS_MAX.
  _flags | Flags to enable usage of SSL.

com.latencybusters.lbm.LBMUMMInfo.LBMUMMInfo | ( | string | _applicationName,
|  | string | _userName,
|  | string | _password,
|  | string[] | _servers,
|  | uint | _flags,
|  | string | _certFile
| ) |  |

Instantiate an LBM UMM Info object.

Parameters

  _applicationName | The application name. Must not exceed LBM.LBM_UMM_APP_NAME_LENGTH_MAX length.
  _userName | The UMM user name. Must not exceed LBM.LBM_UMM_USER_NAME_LENGTH_MAX length.
  _password | The UMM password. Must not exceed LBM.LBM_UMM_PASSWORD_LENGTH_MAX length.
  _servers | The list of servers to attempt connections to. Servers are specified with a string in "ip:port" format. The servers are tried in round-robin fashion starting with index 0. Number of servers must not exceed LBM.LBM_UMM_NUM_SERVERS_MAX.
  _flags | Flags to enable usage of SSL.
  _certFile | Path to a pem-encoded certificate file. If specified, SSL is enabled and certificate is used to validate the UMM daemon identity.

com.latencybusters.lbm.LBMUMMInfo.LBMUMMInfo | ( | string | _applicationName,
|  | string | _userName,
|  | string | _password,
|  | string[] | _servers,
|  | uint | _flags,
|  | string | _certFile,
|  | string | _certFilePassword
| ) |  |

Instantiate an LBM UMM Info object.

Parameters

  _applicationName | The application name. Must not exceed LBM.LBM_UMM_APP_NAME_LENGTH_MAX length.
  _userName | The UMM user name. Must not exceed LBM.LBM_UMM_USER_NAME_LENGTH_MAX length.
  _password | The UMM password. Must not exceed LBM.LBM_UMM_PASSWORD_LENGTH_MAX length.
  _servers | The list of servers to attempt connections to. Servers are specified with a string in "ip:port" format. The servers are tried in round-robin fashion starting with index 0. Number of servers must not exceed LBM.LBM_UMM_NUM_SERVERS_MAX.
  _flags | Flags to enable usage of SSL.
  _certFile | Path to a pem-encoded certificate file. If specified, SSL is enabled and certificate is used to validate the UMM daemon identity.
  _certFilePassword | Certificate file password. Required only if certificate file is password-protected.

The documentation for this class was generated from the following file:

- LBMUMMInfo.cs